Bug 1117017 - glusterfs log timezones are different from one log to another
Summary: glusterfs log timezones are different from one log to another
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: logging
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-07 19:56 UTC by Tom Young
Modified: 2015-10-07 12:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 12:10:44 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Tom Young 2014-07-07 19:56:34 UTC
Description of problem:
The glusterfs logfiles use different timezones, making problem troubleshooting very difficult.  /var/log/glusterfs/

Version-Release number of selected component (if applicable):


How reproducible:
Each of the logfiles have different timestamps on them, depending on the timezone that they use.

Steps to Reproduce:
1.tail any of the logfiles in the /var/log/glusterfs
2.tail a different logfile in the same directory.
3.

Actual results:


Expected results:
Each logfile should use the same source for its zone as a timestamp.

Additional info:

Comment 2 Niels de Vos 2015-05-17 21:59:29 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 3 Kaleb KEITHLEY 2015-10-07 12:10:44 UTC
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.